RECSET(1)

NOME
recset - manipula campos em um arquivo rec

SINOPSE
recset [OPÇÃO]... [ARQUIVO]...

DESCRIÇÃO
Altera ou exclui campos em registros.

--no-external
    não usa descritores externos.

--force
    altera os registros mesmo se isso violar restrições de registros.

--help
    mostra uma mensagem de ajuda e sai.

--version
    mostra a versão e sai.

  Opções de seleção de registros:

-i, --case-insensitive
    diferencia textos entre maiúsculo e minúsculo nas expressões de seleção.

-t, --type=TIPO
    opera em registros apenas do tipo especificado.

-e, --expression=EXPR_REGISTRO
    expressão de seleção.

-q, --quick=TEXTO
    seleciona registros com campos contendo um texto.

-n, --number=NÚM,...
    seleciona registros por posição, com intervalos.

-m, --random=NÚM
    seleciona um número dado de registros aleatórios.

  Opções de seleção de campos:

-f, --fields=CAMPOS
    lista separada por vírgula de campos dados com subscritos opcionais.

  Ações:

-s, --set=VALOR
    altera o valor dos campos selecionados.

-a, --add=VALOR
    adiciona campos selecionados com o valor.

-S, --set-add=VALOR
    altera o valor dos campos selecionados. Se eles não existiram, então adiciona um novo campo com aquele valor.

-r, --rename=NOME
    renomeia os campos selecionadas para um nome dado. Se todo um conjunto de registro for selecionado, então o campo também é renomeado no descritor de arquivo.

-d, --delete
    exclui os campos selecionados.

-c, --comment
    comenta os campos selecionados.

AUTOR
Escrito por Jose E. Marchesi.

RELATANDO PROBLEMAS
Relate erros para: bug-recutils@gnu.org
Página do GNU recutils: <https://www.gnu.org/software/recutils/>
Ajuda geral no uso de software GNU: <http://www.gnu.org/gethelp/>

DIREITOS AUTORAIS
Copyright © 2010-2020 Jose E. Marchesi. Licença GPLv3+: GNU GPL versão 3 ou posterior <http://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
A documentação completa para recset é mantida como um manual Texinfo. Se os programas info e recset estiverem instalados apropriadamente em sua máquina, o comando

    info recutils

deve lhe dar acesso ao manual completo.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).